
#if defined(__TMS320C55X__) || \
    defined(__TMS320C28XX__)

#define I2COAR	0x00
#define I2CIER	0x01
#define I2CSTR	0x02
#define I2CCLKL	0x03
#define I2CCLKH	0x04
#define I2CCNT	0x05
#define I2CDRR	0x06
#define I2CSAR	0x07
#define I2CDXR	0x08
#define I2CMDR	0x09
#define I2CISRC	0x0A
#define I2CGPIO	0x0B
#define I2CPSC	0x0C

#endif

#if defined(__TMS470__) || \
    defined(_TMS320C6X)

#define I2COAR	0x00
#define I2CIER	0x02
#define I2CSTR	0x04
#define I2CCLKL	0x06
#define I2CCLKH	0x08
#define I2CCNT	0x0A
#define I2CDRR	0x0C
#define I2CSAR	0x0E
#define I2CDXR	0x10
#define I2CMDR	0x12
#define I2CISRC	0x14
#define I2CGPIO	0x16
#define I2CPSC	0x18

#endif


uint16 perform_i2c_eeprom_program();
uint16 perform_i2c_eeprom_erase();
